.blockSlides {
	margin-top: var(--spacing1);
	padding-right: var(--spacing2);
}

.blockSlide {
	max-width: 200px;
	background-color: var(--color__white); 
	
	box-shadow: var(--shadow__blue);
	border-radius: 0.5em;
	border: 1px solid var(--color__black);
}

.blockSlide .blockSlide__content {
	position: absolute;
	right: var(--s15);
	bottom: var(--s30);
	left: var(--s15);
	
	border-radius: 0.5em;
	
	font-weight: var(--font-weight__card-text);
	font-size: var(--font-size__card-text);
	line-height: var(--line-height__card-text);
}

.blockSlide__content p { 
	background: hsla(var(--hslColor__white) / 0.8)  none repeat scroll 0 0;
	box-decoration-break: clone;
	display: inline;
	padding: 0 6px;
	line-height: 1.7;
}


.blockSlide--basic {
	padding: var(--spacing1);
	aspect-ratio: 1 / 1;
	
	background-color: var(--color__white);
}


	.blockSlide--image {
		aspect-ratio: 1 / 1;
		position: relative;
		overflow: hidden;
	}

	.blockSlide--image img {
		object-fit: cover;
		width: 100%;
		height: 100%;
	} 

	

.blockSlides .swiper-pagination {
	position: static;
	margin-top: var(--spacing-1);
}

.blockSlides .swiper-pagination-bullet {
	--swiper-pagination-bullet-size: 0.5em;
	--swiper-pagination-color: var(--color__violet);
	--swiper-pagination-bullet-inactive-color: var(--color__violet);
	
	border-radius: 0.3em;
	transition: width .3s;
	opacity: 1;
}

.blockSlides .swiper-pagination-bullet-active {
	width: calc(var(--swiper-pagination-bullet-size) * 3);
}


@media (min-width: 65rem) {
	.blockSlide {
		max-width: 300px;
	}
	
	.blockSlide .blockSlide__content {
		position: absolute;
		right: var(--s20);
		bottom: var(--s40);
		left: var(--s20);
	}
}